Bug 176574 - OutOfMemory Exception during th refresh for Eclipse's Bugzilla
OutOfMemory Exception during th refresh for Eclipse's Bugzilla
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
Depends On:
  Show dependency treegraph
Reported: 2005-12-26 16:22 EST by Stephan Michels
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-06 17:29:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch against org.eclipse.team.bugs (CVS HEAD) (987 bytes, patch)
2005-12-26 16:23 EST, Stephan Michels
no flags Details | Diff
Patch against org.eclipse.team.bugzilla (CVS HEAD) (12.15 KB, patch)
2005-12-26 16:24 EST, Stephan Michels
no flags Details | Diff
Revised patch (75.46 KB, patch)
2006-01-05 17:12 EST, Igor Foox
no flags Details | Diff
Revised patch2 (84.02 KB, patch)
2006-01-06 17:25 EST, Igor Foox
no flags Details | Diff
Cleaned up patch (10.89 KB, patch)
2006-01-09 11:17 EST, Igor Foox
no flags Details | Diff

  None (edit)
Description Stephan Michels 2005-12-26 16:22:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.8) Gecko/20051202 Ubuntu/1.4.99+1.5rc3.dfsg-1ubuntu4 Epiphany/ Firefox/1.5

Description of problem:
the plugin doesn't work with Eclipse's Bugzilla. I got a OutOfMemoryException
during the refresh. I created a patch against the CVS HEAD to fix various
problems I got.

Problems, I solved:
1. OOME during the parsing of Eclipse's Bugzilla query page.
2. NPE if I deselect all tree items.
3. Error in the creation of the status object for exceptions.
4. Read content type for attachments, before I got problems because the id 
   of the attachment wasn't read correct.
5. Make borders around lists.
6. UTF8(whatever)Exception because a java.io.Reader was used to read the binary   
7. Use bugzillaAttachment.getDataAsString() only for text/* types.
8. Add Ubuntu's bugzilla

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Stephan Michels 2005-12-26 16:23:44 EST
Created attachment 122587 [details]
Patch against org.eclipse.team.bugs (CVS HEAD)
Comment 2 Stephan Michels 2005-12-26 16:24:46 EST
Created attachment 122588 [details]
Patch against org.eclipse.team.bugzilla (CVS HEAD)
Comment 3 Igor Foox 2006-01-05 17:12:13 EST
Created attachment 122845 [details]
Revised patch

Hi Stephan,

Thanks for such an extensive patch to the plugin :). I've tested your patch and
it seems to work well. I've made some small syntactic changes, such as leaving
the explicit imports instead of .*, as well as making the instantiation of the
Status object in BugzillaPlugin a bit more readable. 

If nothing else comes up I'll commit this.
Comment 4 Igor Foox 2006-01-06 17:25:55 EST
Created attachment 122896 [details]
Revised patch2

I am committing the patch, with some other minor changes, this is the final

Stephan, thanks again for the work.
Comment 5 Andrew Overholt 2006-01-07 10:48:30 EST
The patch that you attached is a little messed up, Igor.  Lots of the files are
completely changed according to the patch ... maybe you re-indented?  It'd be
cool if the contextual differences were more apparent.  Thanks.
Comment 6 Igor Foox 2006-01-09 10:17:50 EST
Opening the patch up in vi shows that it's most likely that the files that were
changed without real changes had windows line endings. Since I already comitted
to CVS and I don't see converting win line endings to unix line endings as a big
transgression, I'll leave it in CVS as is, but I'll repost a patch without these
files for easier reading. :)

Comment 7 Igor Foox 2006-01-09 11:17:16 EST
Created attachment 122953 [details]
Cleaned up patch

Here's a patch without the line-ending changes.

Note You need to log in before you can comment on or make changes to this bug.